%define		_status		stable
%define		_pearname	MDB
%include	/usr/lib/rpm/macros.php
Summary:	%{_pearname} - unified database API
Summary(pl.UTF-8):	%{_pearname} - zunifikowane API baz danych
Name:		php-pear-%{_pearname}
Version:	1.3.0
Release:	8
Epoch:		1
License:	BSD style
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	a5601b6d45ffede24647cd69cf425b85
URL:		http://pear.php.net/package/MDB/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(core) >= 4.2.0
Requires:	php-pear
Requires:	php-pear-PEAR-core >= 1:1.0-0.b1
Requires:	php-pear-XML_Parser
Obsoletes:	php-pear-MDB-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MDB is a merge of PEAR's DB and Metabases that provides a unified DB
API. It also provides methods for DB portability and DB feature
emulation. Most notably it features a DB independent XML-Schema
manager.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
MDB to połączenie PEAR DB i Metabases, które daje ujednolicone API do
baz danych. Zawiera także metody zapewniające przenośność i emulację
właściwości dla baz danych. Najważniejsza cecha to niezależny od bazy
danych zarządca schematów XML.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/{MAINTAINERS,README,TODO,doc/}
%{php_pear_dir}/.registry/*.reg
%dir %{php_pear_dir}/MDB
%dir %{php_pear_dir}/MDB/Modules
%dir %{php_pear_dir}/MDB/Modules/Manager
%{php_pear_dir}/*.php
%{php_pear_dir}/MDB/*.php
%{php_pear_dir}/MDB/Modules/*.php
%{php_pear_dir}/MDB/Modules/Manager/*.php
%changelog
* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> b4299f0
- use php(core) for php engine version deps
- release 7 (by relup.sh)

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> 78957ae
- release 7

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> e27c5c3
- dropped -tests subpackage

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 1327e89
- updated deps with pearize.sh
- release 6

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> b5ae7f9
- rel 5

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 8f17e93
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 39f42db
- converted to UTF-8

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> c1e0e49
- BR rpm-build macros >= 1.300 for %pear_ macros

* Sun Apr 02 2006 Elan Ruusamäe <glen@pld-linux.org> 9b08f18
- AutoProv: no for -tests

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> 4da020a
- BR php-pear-PEAR

* Mon Feb 20 2006 Elan Ruusamäe <glen@pld-linux.org> 69945b3
- group Development/Languages/PHP for -tests

* Sun Nov 20 2005 Elan Ruusamäe <glen@pld-linux.org> 6b06d95
- rel 4

* Wed Oct 05 2005 Elan Ruusamäe <glen@pld-linux.org> 64be7ef
- rel 3

* Mon Oct 03 2005 Elan Ruusamäe <glen@pld-linux.org> 15f16cf
- semi automatically added deps from pear

* Thu Sep 29 2005 Elan Ruusamäe <glen@pld-linux.org> a81caf3
- add AutoReq: no for -tests

* Tue Sep 27 2005 Elan Ruusamäe <glen@pld-linux.org> cbe2c01
- fix requires for -tests (typo)

* Tue Sep 27 2005 Elan Ruusamäe <glen@pld-linux.org> 5295257
- pl for -tests

* Tue Sep 27 2005 Elan Ruusamäe <glen@pld-linux.org> fafab26
- include epoch into tests subpackage requires

* Mon Sep 19 2005 Elan Ruusamäe <glen@pld-linux.org> 7af70a7
- integer BR

* Mon Sep 19 2005 Elan Ruusamäe <glen@pld-linux.org> def71e6
- use new pear packaging system

